Sync spice-gtk 0.12-1 (universe) from Debian testing (main)

Bug #985102 reported by Jeremy Bicha on 2012-04-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
spice-gtk (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync spice-gtk 0.12-1 (universe) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:

(There is no delta, we just pulled spice-gtk from git since it was waiting for sponsorship to get into Debian)

  [ Jeremy Bicha ]
  * Pulled from Debian git repository
  * New upstream release.
    - add USB redirection support, see Hans comments in the log and that
      post for details: http://hansdegoede.livejournal.com/11084.html
    - introduce SpiceGtkSession to deal with session-wide Gtk events, such
      as clipboard, instead of doing it per display
    - many cursor and keyboard handling improvements
    - handle the new "semi-seamless" migration
    - support new Spice mini-headers
    - better coroutines: fibers on windows & jmp on linux
    - add Vala vapi bindings generation
    - Add command line options for setting the cache size and the glz
      window size
    - Add a USB device selection widget to libspice-client-gtk
    - many bug fixes and code improvements
  * Update symbols and bump libspice-client-glib-2.0 soname back to 1
  * Enable vala bindings
  * debian/control:
    - Build-depend on libusb-1.0, libgudev, valac and libvala-dev
    - Bump build-depends on spice-protocol to 0.10.1
  * debian/rules: Disable usbredir support since the library isn't in
    Debian yet
  [ Liang Guo ]
  * debian/copyright:
    - Add gtk/coroutine_winfibers.c
    - Add gtk/spice-client-glib-usb-acl-helper.c
    - Remove common/win/my_getopt-1.5/*, not in upstream any more
  * debian/rules:
    - Remove vapi/Makefile in clean target
  * debian/control:
    - Replace libspice-client-glib-2.0-4 with libspice-client-glib-2.0-1

Changelog entries since current precise version 0.9-0ubuntu1:

spice-gtk (0.12-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright, file moved
    - common -> spice-common/common
    - spice-protocol -> spice-common/spice-protocol
  * debian/patches:
    - Refresh debian/patches/remove-libjpeg-turbo-warning.patch
    - Add fix-parsing-uri-query.patch
    - Add fix-spice-audio-binding.patch
  * Refresh debian/libspice-client-glib-2.0-1.symbols, new function added

 -- Liang Guo <email address hidden> Thu, 03 May 2012 09:45:49 +0800

spice-gtk (0.11-1) unstable; urgency=low

  * New upstream release (Closes: #667569)
  * Update debian/copyright, new file added
  * Bump Standards-Version to 3.9.3, no changes needed
  * Refresh debian/libspice-client-glib-2.0-1.symbols
  * Update debian/rules, build spice-gtk in a subdirectory
  * Include missed .deps and .vapi files in libspice-client-gtk-2.0-dev
  * Add libtext-csv-perl to Build-Depends

 -- Liang Guo <email address hidden> Fri, 06 Apr 2012 21:22:13 +0800

spice-gtk (0.9-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - add USB redirection support, see Hans comments in the log and that
      post for details: http://hansdegoede.livejournal.com/11084.html
    - introduce SpiceGtkSession to deal with session-wide Gtk events, such
      as clipboard, instead of doing it per display
    - many cursor and keyboard handling improvements
    - handle the new "semi-seamless" migration
    - support new Spice mini-headers
    - better coroutines: fibers on windows & jmp on linux
    - add Vala vapi bindings generation
    - Add command line options for setting the cache size and the glz
      window size
    - Add a USB device selection widget to libspice-client-gtk
    - many bug fixes and code improvements
  * Update symbols and bump libspice-client-glib-2.0 soname back to 1
  * Enable vala bindings
  * debian/control:
    - Build-depend on libusb-1.0, libgudev, valac and libvala-dev
    - Bump build-depends on spice-protocol to 0.10.1
  * debian/rules: Disable usbredir support since the library isn't in
    Debian yet

  [ Liang Guo ]
  * debian/copyright:
    - Add gtk/coroutine_winfibers.c
    - Add gtk/spice-client-glib-usb-acl-helper.c
    - Remove common/win/my_getopt-1.5/*, not in upstream any more
  * debian/rules:
    - Remove vapi/Makefile in clean target
  * debian/control:
    - Replace libspice-client-glib-2.0-4 with libspice-client-glib-2.0-1

 -- Liang Guo <email address hidden> Wed, 01 Feb 2012 14:38:05 +0800

Jeremy Bicha (jbicha) on 2012-04-18
Changed in spice-gtk (Ubuntu):
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) wrote :
Scott Kitterman (kitterman) wrote :

What testing have you done with this version on precise?

Jeremy Bicha (jbicha) wrote :

Scott, I haven't tested this at all as I'd have to go through several loops to get Boxes running on Precise. And I don't think my normal computer even runs Boxes since I thought Boxes required hardware virtualization.

I'd be inclined to say we ought not jump to the new version without some
testing or some other indication that it'll be better or at least not worse.
I don't object if some other release team member feels differently.

I agree. Let's leave this for Q. It shouldn't be too hard to backport if the only rdepend continues to work.

Changed in spice-gtk (Ubuntu):
milestone: none → later
status: New → Incomplete
Jeremy Bicha (jbicha) on 2012-05-24
Changed in spice-gtk (Ubuntu):
status: Incomplete → New
description: updated
summary: - FFe: Sync spice-gtk 0.11-1 (universe) from Debian testing (main)
+ Sync spice-gtk 0.12-1 (universe) from Debian testing (main)
Changed in spice-gtk (Ubuntu):
milestone: later → quantal-alpha-1
Michael Terry (mterry) wrote :

Now that we're not under freeze in quantal, I'll sync.

Changed in spice-gtk (Ubuntu):
status: New → Fix Released
Michael Terry (mterry) wrote :

This bug was fixed in the package spice-gtk - 0.12-1
Sponsored for Jeremy Bicha (jbicha)

---------------
spice-gtk (0.12-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright, file moved
    - common -> spice-common/common
    - spice-protocol -> spice-common/spice-protocol
  * debian/patches:
    - Refresh debian/patches/remove-libjpeg-turbo-warning.patch
    - Add fix-parsing-uri-query.patch
    - Add fix-spice-audio-binding.patch
  * Refresh debian/libspice-client-glib-2.0-1.symbols, new function added

 -- Liang Guo <email address hidden> Thu, 03 May 2012 09:45:49 +0800

spice-gtk (0.11-1) unstable; urgency=low

  * New upstream release (Closes: #667569)
  * Update debian/copyright, new file added
  * Bump Standards-Version to 3.9.3, no changes needed
  * Refresh debian/libspice-client-glib-2.0-1.symbols
  * Update debian/rules, build spice-gtk in a subdirectory
  * Include missed .deps and .vapi files in libspice-client-gtk-2.0-dev
  * Add libtext-csv-perl to Build-Depends

 -- Liang Guo <email address hidden> Fri, 06 Apr 2012 21:22:13 +0800

spice-gtk (0.9-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - add USB redirection support, see Hans comments in the log and that
      post for details: http://hansdegoede.livejournal.com/11084.html
    - introduce SpiceGtkSession to deal with session-wide Gtk events, such
      as clipboard, instead of doing it per display
    - many cursor and keyboard handling improvements
    - handle the new "semi-seamless" migration
    - support new Spice mini-headers
    - better coroutines: fibers on windows & jmp on linux
    - add Vala vapi bindings generation
    - Add command line options for setting the cache size and the glz
      window size
    - Add a USB device selection widget to libspice-client-gtk
    - many bug fixes and code improvements
  * Update symbols and bump libspice-client-glib-2.0 soname back to 1
  * Enable vala bindings
  * debian/control:
    - Build-depend on libusb-1.0, libgudev, valac and libvala-dev
    - Bump build-depends on spice-protocol to 0.10.1
  * debian/rules: Disable usbredir support since the library isn't in
    Debian yet

  [ Liang Guo ]
  * debian/copyright:
    - Add gtk/coroutine_winfibers.c
    - Add gtk/spice-client-glib-usb-acl-helper.c
    - Remove common/win/my_getopt-1.5/*, not in upstream any more
  * debian/rules:
    - Remove vapi/Makefile in clean target
  * debian/control:
    - Replace libspice-client-glib-2.0-4 with libspice-client-glib-2.0-1

 -- Liang Guo <email address hidden> Wed, 01 Feb 2012 14:38:05 +0800

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments